No se pudieron resolver las dependencies de la biblioteca AndroidSweetSheet

Así que volví a trabajar en mi aplicación de Android después de unos meses y luego de haberme familiarizado con el código nuevamente, noté que mi biblioteca AndroidSweetSheet ha vuelto obsoleta porque el comstackdor no puede resolver la dependencia. Esto es extraño considerando el hecho de que todo solía funcionar y era dokey de honkey.

¿Cuál podría ser el problema porque cuando navego a:

https://repo.jfrog.org/artifactory/libs-release-bintray/com/github/zzz40500/AndroidSweetSheet/221317862b/AndroidSweetSheet-221317862b.jar?referrer

Obtengo un http 404 que indica que el recurso que acabo de solicitar no se pudo encontrar:

 { "errors" : [ { "status" : 404, "message" : "Could not find resource" } ] } 

Todo lo que necesitaba hacer era:

1. Actualice mi Android Support Repository

2. Actualice mi buildToolsVersion de '23.0.0' a '25.0.0' (la última). Dejé mi compileSdkVersion a los 23 . Archivos Synced Gradle y eso resolvió el problema.